import request from '@/utils/request'

const database = (data) => {
  return request({
    url: `/realtimeDatabaseConfiguration/listByPage?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addDatabase = (pairs) => {
  return request({
    url: `/realtimeDatabaseConfiguration/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteDatabase = (data) => {
  return request({
    url: `/realtimeDatabaseConfiguration/remove-modelpower?ids=${data.id}`,
    method: 'delete',
  })
}

// 设备厂商
// DELETE
// /pro-econ-manufacturer/{ids}
// 设备厂商-删除
// POST
// /pro-econ-manufacturer/add
// 设备厂商-新增or修改
// GET
// /pro-econ-manufacturer/list
// 设备厂商-列表
const manufacturer = (data) => {
  return request({
    url: `/pro-econ-manufacturer/list?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addManufacturer = (pairs) => {
  return request({
    url: `/pro-econ-manufacturer/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteManufacturer = (data) => {
  return request({
    url: `/pro-econ-manufacturer/${data.id}`,
    method: 'delete',
  })
}

// 设备类型
// DELETE
// /pro-basic-model-power/{ids}
// 设备类型对应功率表-删除
// POST
// /pro-basic-model-power/add
// 设备类型对应功率表-新增or修改
// GET
// /pro-basic-model-power/list
// 设备类型对应功率表-列表
const modelpower = (data) => {
  return request({
    url: `/pro-basic-model-power/list?modelId=${data.modelid}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addModelpower = (pairs) => {
  return request({
    url: `/pro-basic-model-power/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteModelpower = (data) => {
  return request({
    url: `/pro-basic-model-power/${data.id}`,
    method: 'delete',
  })
}

// 变电所
const windsubstation = (data) => {
  return request({
    url: `/pro-basic-windsub-station/List?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addWindsubstation = (pairs) => {
  return request({
    url: `/pro-basic-windsub-station/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteWindsubstation = (data) => {
  return request({
    url: `/pro-basic-windsub-station/remove-WindsubStation/${data.id}`,
    method: 'delete',
  })
}
// 可研电量
// POST
// /pro-basic-project-study/add
// 工程可研电量-新增or修改
// GET
// /pro-basic-project-study/List
// 工程可研电量-列表
// DELETE
// /pro-basic-project-study/remove-project-study/{ids}
// 工程可研电量-删除
const projectstudy = (data) => {
  return request({
    url: `/pro-basic-project-study/List?projectId=${data.projectId}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addProjectstudy = (pairs) => {
  return request({
    url: `/pro-basic-project-study/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteProjectstudy = (data) => {
  return request({
    url: `/pro-basic-project-study/remove-project-study/${data.id}`,
    method: 'delete',
  })
}
// GET
// /pro-econ-uniform-code/list
// 统一编码表-列表
// DELETE
// /pro-econ-uniform-code/remove-by-ids
// 统一编码-删除
// POST
// /pro-econ-uniform-code/save-uniform_code
// 统一编码-新增
const uniformList = (data) => {
  return request({
    url: `/pro-econ-uniform-code/list?nemCode=${data.nemCode}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addUniform = (pairs) => {
  return request({
    url: `/pro-econ-uniform-code/save-uniform_code`,
    method: 'post',
    data: pairs,
  })
}
const deleteUniform = (data) => {
  return request({
    url: `/pro-econ-uniform-code/remove-by-ids?ids=${data.id}`,
    method: 'delete',
  })
}
// DELETE
// /pro-econ-testing-point/{ids}
// 逻辑测点配置-删除
// POST
// /pro-econ-testing-point/add
// 逻辑测点配置-新增or修改
// GET
// /pro-econ-testing-point/list
// 逻辑测点配置-列表
const testingList = (data) => {
  return request({
    url: `/pro-econ-testing-point/list?nemCode=${data.nemCode}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addTesting = (pairs) => {
  return request({
    url: `/pro-econ-testing-point/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteTesting = (data) => {
  return request({
    url: `/pro-econ-testing-point/${data.id}`,
    method: 'delete',
  })
}
// GET
// /pro-basic-equipment-point/{id}
// 设备测点-列表
// DELETE
// /pro-basic-equipment-point/{ids}
// 设备测点-批量删除
// POST
// /pro-basic-equipment-point/add
// 设备测点-新增（修改）
// PUT
// /pro-basic-equipment-point/editPointnew
// 设备测点-批量修改
// GET
// /pro-basic-equipment-point/list
// 设备测点-列表
const equipmentPointList = (data) => {
  return request({
    url: `/pro-basic-equipment-point/list?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addEquipmentPoint = (pairs) => {
  return request({
    url: `/pro-basic-equipment-point/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteEquipmentPoint = (data) => {
  return request({
    url: `/pro-basic-equipment-point/${data.id}`,
    method: 'delete',
  })
}
// GET
// /pro-basic-wppoint/{id}
// 场站测点-更具主键查询
// DELETE
// /pro-basic-wppoint/{ids}
// 场站测点-批量删除
// POST
// /pro-basic-wppoint/add
// 场站测点-新增（修改）
// PUT
// /pro-basic-wppoint/editPointnew
// 场站测点-批量修改
// GET
// /pro-basic-wppoint/list
// 场站测点-列表
const wppointList = (data) => {
  return request({
    url: `/pro-basic-wppoint/list?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addWppoint = (pairs) => {
  return request({
    url: `/pro-basic-wppoint/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteWppoint = (data) => {
  return request({
    url: `/pro-basic-wppoint/${data.id}`,
    method: 'delete',
  })
}
// DELETE
// /pro-econ-electricaltest-point/{ids}
// 电气测点-删除
// POST
// /pro-econ-electricaltest-point/add
// 电气测点-新增or修改
// GET
// /pro-econ-electricaltest-point/list
// 电气测点-列表
const electricaltestList = (data) => {
  return request({
    url: `/pro-econ-electricaltest-point/list?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addElectricaltest = (pairs) => {
  return request({
    url: `/pro-econ-electricaltest-point/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteElectricaltest = (data) => {
  return request({
    url: `/pro-econ-electricaltest-point/${data.id}`,
    method: 'delete',
  })
}
// GET
// /pro-basic-realtime-dbconfig/listByPage
// 实时数据库配置-列表
// DELETE
// /pro-basic-realtime-dbconfig/remove-Realtime/{ids}
// 实时数据库配置-删除
// POST
// /pro-basic-realtime-dbconfig/save
// 实时数据库配置-新增or修改
const dbconfigListByPage = (data) => {
  return request({
    url: `/pro-basic-realtime-dbconfig/listByPage?surName=${data.surName}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addDbconfig = (pairs) => {
  return request({
    url: `/pro-basic-realtime-dbconfig/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteDbconfig = (data) => {
  return request({
    url: `/pro-basic-realtime-dbconfig/remove-Realtime/${data.id}`,
    method: 'delete',
  })
}
// GET
// /pro-basic-meter-point/listByPage
// 电计量-列表
// GET
// /pro-basic-meter-point/meterpoint/{id}
// 电计量-根据主键查询
// DELETE
// /pro-basic-meter-point/remove-meterpoint/{ids}
// 电计量-删除
// POST
// /pro-basic-meter-point/save
// 电计量-新增
const meterListByPage = (data) => {
  return request({
    url: `/pro-basic-meter-point/listByPage?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addMeter = (pairs) => {
  return request({
    url: `/pro-basic-meter-point/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteMeter = (data) => {
  return request({
    url: `/pro-basic-meter-point/remove-meterpoint/${data.id}`,
    method: 'delete',
  })
}
// DELETE
// /pro-econ-status-dictionaries/{ids}
// 设备状态配置-删除
// POST
// /pro-econ-status-dictionaries/add
// 设备状态配置-新增or修改
// GET
// /pro-econ-status-dictionaries/list
// 设备状态配置-列表
const dictionariesList = (data) => {
  return request({
    url: `/pro-econ-status-dictionaries/list?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addDictionaries = (pairs) => {
  return request({
    url: `/pro-econ-status-dictionaries/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteDictionaries = (data) => {
  return request({
    url: `/pro-econ-status-dictionaries/${data.id}`,
    method: 'delete',
  })
}
// DELETE
// /pro-econ-stop-type/{ids}
// 设备状态配置-删除
// POST
// /pro-econ-stop-type/add
// 设备状态配置-新增or修改
// GET
// /pro-econ-stop-type/list
// 设备状态配置-列表
const stopTypeList = (data) => {
  return request({
    url: `/pro-econ-stop-type/list?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addStopType = (pairs) => {
  return request({
    url: `/pro-econ-stop-type/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteStopType = (data) => {
  return request({
    url: `/pro-econ-stop-type/${data.id}`,
    method: 'delete',
  })
}
// GET
// /sttree/mantreels
// 设备厂商结构树-设备厂商层级树
const sttreeMantreels = (data) => {
  return request({
    url: `sttree/mantreels?tag=${data}`,
    method: 'get',
  })
}
// GET
// /pro-basic-weather-station/List
// 气象站-列表
// DELETE
// /pro-basic-weather-station/remove-weather-station/{ids}
// 气象站-删除
// POST
// /pro-basic-weather-station/save
// 气象站-新增or修改
// GET
// /pro-basic-weather-station/weather/{id}
// 气象站-根据主键查询
const weatherStationList = (data) => {
  return request({
    url: `/pro-basic-weather-station/List?name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addWeatherStation = (pairs) => {
  return request({
    url: `/pro-basic-weather-station/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteWeatherStation = (data) => {
  return request({
    url: `/pro-basic-weather-station/remove-weather-station/${data.id}`,
    method: 'delete',
  })
}
export default {
  weatherStationList,
  addWeatherStation,
  deleteWeatherStation,
  sttreeMantreels,
  stopTypeList,
  addStopType,
  deleteStopType,
  dictionariesList,
  addDictionaries,
  deleteDictionaries,
  meterListByPage,
  addMeter,
  deleteMeter,
  dbconfigListByPage,
  addDbconfig,
  deleteDbconfig,
  electricaltestList,
  addElectricaltest,
  deleteElectricaltest,
  wppointList,
  addWppoint,
  deleteWppoint,
  equipmentPointList,
  addEquipmentPoint,
  deleteEquipmentPoint,
  testingList,
  addTesting,
  deleteTesting,
  uniformList,
  addUniform,
  deleteUniform,
  database,
  addDatabase,
  deleteDatabase,
  addManufacturer,
  addModelpower,
  addWindsubstation,
  manufacturer,
  modelpower,
  windsubstation,
  deleteManufacturer,
  deleteModelpower,
  deleteWindsubstation,
  addProjectstudy,
  projectstudy,
  deleteProjectstudy,
}
