import request from '@/utils/request'

// 期次树
const sttreeProjecttrees = (data) => {
  return request({
    url: `/sttree/projecttrees`,
    method: 'get',
  })
}
const groupList = (data) => {
  return request({
    url: `/pro-basic-energy-group/List?id=${data.id}&name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addGroup = (pairs) => {
  return request({
    url: `/pro-basic-energy-group/add-EnergyGroup`,
    method: 'post',
    data: pairs,
  })
}
const deleteGroup = (data) => {
  return request({
    url: `/pro-basic-energy-group/remove-EnergyGroup/${data.id}`,
    method: 'delete',
  })
}
const companys = (data) => {
  return request({
    url: `/pro-basic-company/listByPage?id=${data.id}&name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addCompanys = (pairs) => {
  return request({
    url: `/pro-basic-company/add-companys`,
    method: 'post',
    data: pairs,
  })
}
const deleteCompanys = (data) => {
  return request({
    url: `/pro-basic-company/remove-companys/${data.id}`,
    method: 'delete',
  })
}
const lines = (data) => {
  return request({
    url: `/pro-basic-line/listByPage?id=${data.id}&name=${encodeURIComponent(
      data.name
    )}&projectId=${data.projectId}&pageNum=${data.pageNum}&pageSize=${
      data.pageSize
    }`,
    method: 'get',
  })
}

const regionList = (data) => {
  return request({
    url: `/pro-basic-region/List?companyid=${data.companyid}&name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addRegion = (pairs) => {
  return request({
    url: `/pro-basic-region/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteRegion = (data) => {
  return request({
    url: `/pro-basic-region/${data.id}`,
    method: 'delete',
  })
}

const windpowerstationList = (data) => {
  return request({
    url: `/pro-basic-powerstation/List?id=${data.id}&name=${data.name}&companyId=${data.companyId}&groupId=${data.groupId}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addWindpowerstation = (pairs) => {
  return request({
    url: `/pro-basic-powerstation/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteWindpowerstation = (data) => {
  return request({
    url: `/pro-basic-powerstation/${data.id}`,
    method: 'delete',
  })
}
//期次
const projectList = (data) => {
  return request({
    url: `/pro-basic-project/List?id=${data.id}&windpowerstationId=${data.windpowerstationId}&name=${data.name}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addProject = (pairs) => {
  return request({
    url: `/pro-basic-project/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteProject = (data) => {
  return request({
    url: `/pro-basic-project/remove-Project/${data.id}`,
    method: 'delete',
  })
}
const addLine = (pairs) => {
  return request({
    url: `/pro-basic-line/add-line`,
    method: 'post',
    data: pairs,
  })
}
const deleteLine = (data) => {
  return request({
    url: `/pro-basic-line/remove-lines/${data.id}`,
    method: 'delete',
  })
}

// DELETE
// /pro-basic-windturbine/{ids}
// 风机-删除
// POST
// /pro-basic-windturbine/add
// 风机-新增or修改
// GET
// /pro-basic-windturbine/list
// 发电设备-列表
const windturbine = (data) => {
  return request({
    url: `/pro-basic-windturbine/list?pageNum=${data.pageNum}&pageSize=${
      data.pageSize
    }&name=${encodeURIComponent(data.name)}`,
    method: 'get',
  })
}
const addWindturbine = (pairs) => {
  return request({
    url: `/pro-basic-windturbine/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteWindturbine = (data) => {
  return request({
    url: `/pro-basic-windturbine/${data.id}`,
    method: 'delete',
  })
}
const newtreeTreels = (data) => {
  return request({
    url: `/newtree/treels?tag=${data.tag}`,
    method: 'get',
  })
}

// DELETE
// /pro-econ-equipmentmodel/{ids}
// 设备型号-新增or修改
// POST
// /pro-econ-equipmentmodel/add
// 设备型号-新增or修改
// GET
// /pro-econ-equipmentmodel/list
// 设备型号-列表
const equipmentmodel = (data) => {
  return request({
    url: `/pro-econ-equipmentmodel/list?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addEquipmentmodel = (pairs) => {
  return request({
    url: `/pro-econ-equipmentmodel/add`,
    method: 'post',
    data: pairs,
  })
}
const deleteEquipmentmodel = (data) => {
  return request({
    url: `/pro-econ-equipmentmodel/${data.id}`,
    method: 'delete',
  })
}

const meterpoint = (data) => {
  return request({
    url: `/meterpoint/listByPage?name=${encodeURIComponent(
      data.name
    )}&pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}
const addMeterpoint = (pairs) => {
  return request({
    url: `/meterpoint/save`,
    method: 'post',
    data: pairs,
  })
}
const deleteMeterpoint = (data) => {
  return request({
    url: `/meterpoint/remove-meterpoint/${data.id}`,
    method: 'delete',
  })
}

const getStationPersis = (data) => {
  return request({
    url: `/windpowerstation/getStationPersis?station=${data.station}&startdate=${data.startdate}&enddate=${data.enddate}`,
    method: 'get',
  })
}
const getAdmList = (data) => {
  return request({
    url: `/windpowerstation/getAdmList?companyid=${data.companyid}&regionid=${data.regionid}`,
    method: 'get',
  })
}
// 区域保存 post：http://localhost:7020/region/save2
// 区域更新 Put：http://localhost:7020/region/editRegions
const addSave = (pairs) => {
  return request({
    url: `/region/save2`,
    method: 'post',
    data: [pairs],
  })
}
const editSave = (pairs) => {
  return request({
    url: `/region/editRegions`,
    method: 'put',
    data: [pairs],
  })
}
const standardpoint = (data) => {
  return request({
    url: `/standardpoint/list?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
    method: 'get',
  })
}

export default {
  groupList,
  addGroup,
  deleteGroup,
  addSave,
  editSave,
  companys,
  addCompanys,
  deleteCompanys,
  lines,
  regionList,
  addRegion,
  deleteRegion,
  windpowerstationList,
  addWindpowerstation,
  deleteWindpowerstation,
  projectList,
  addProject,
  deleteProject,
  addLine,
  deleteLine,
  windturbine,
  addWindturbine,
  deleteWindturbine,
  newtreeTreels,
  equipmentmodel,
  addEquipmentmodel,

  deleteEquipmentmodel,
  meterpoint,
  addMeterpoint,

  deleteMeterpoint,
  getStationPersis,
  getAdmList,
  standardpoint,
  sttreeProjecttrees,
}
